"use strict";

class WhoAmI {
    render() {
        return {
            tag: "section",
            id: "whoami",
            contents: [
                {
                    tag: "div",
                    class: "page-contents-center",
                    contents: [
                        {
                            tag: "h2",
                            contents: "Qui sommes-nous-je ?",
                        },
                        {
                            tag: "div",
                            class: "presentation-card",
                            contents: [
                                {
                                    tag: "div",
                                    class: "header",
                                    contents: [
                                        {
                                            tag: "div",
                                            class: "pic",
                                            contents: [
                                                {
                                                    tag: "img",
                                                    alt:
                                                        "portrait Pierre Jarriges pixel art by Lucie Ventadour",
                                                    src: "assets/images/pijar_profile_lt_square.png",
                                                },
                                            ],
                                        },
                                        {
                                            tag: "div",
                                            class: "header-text",
                                            contents: [
                                                {
                                                    tag: "h3",
                                                    contents: "Pierre Jarriges",
                                                },
                                                {
                                                    tag: "h4",
                                                    contents:
                                                        "Artiste, auteur BD, compositeur, développeur informatique",
                                                },
                                                {
                                                    tag: "strong",
                                                    contents:
                                                        "Créateur de <blue>Kuadrado Software</blue> en Février 2021.",
                                                },
                                            ],
                                        },
                                    ],
                                },
                                {
                                    tag: "div",
                                    class: "body",
                                    contents: [
                                        {
                                            tag: "p",
                                            contents: `
                                            “ La création de <b><blue>Kuadrado Software</blue></b> vient de la volonté de développer différents axes ensembles :
                                            <br /><br />
                                            <emoji>🎮</emoji> D'une part exprimer une passion en créant des <b>jeux vidéo indépendants</b> sur un modèle léger et artisanal dans 
                                            une identité artistique forte, et de les distribuer sans compromission par une logique du marché ; 
                                            en effet, partir à la conquête du marché à dos de startup n'est pas l'objectif de Kuadrado Software. Il s'agit 
                                            avant tout de se donner les moyens de partager avec le monde une idée de liberté, de partage et de plaisir de 
                                            créer des choses simples.
                                            <br /><br />
                                            <emoji>💡</emoji> D'autre part il s'agit aussi de porter un <b>projet pédagogique</b> autour de la création de jeu vidéo, et 
                                            plus largement de la vulgarisation numérique. Le partage de connaissances et l'apprentissage collectif étant pour 
                                            moi l'instrument le plus efficace de lutte contre l'élitisme, contre le cloisonnement face à la technologie 
                                            (et donc à sa surconsommation), et tout simplement un moyen d'ouverture vers les autres.
                                            <br /><br />
                                            À l'heure d'aujourd'hui Kuadrado Software est construit sur un modèle d'auto-entreprise. 
                                            <br />
                                            Cependant le but n'est pas de tout développer seul, il s'agit bien de pouvoir à terme rassembler plusieurs énergies 
                                            dans le même état d'esprit, former des équipes de travail et de création, et s'inscrire dans un tissu 
                                            local de savoir-faire, tout en gardant un modèle d'entreprise basé sur l'indépendance, afin de rester aussi léger, libéral, 
                                            et modulaire que possible.”
                                            `,
                                        },
                                    ],
                                },
                            ],
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = WhoAmI;
